@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  /* Font families */
  --ff-main: "Montserrat", sans-serif;

  /* Font sizes */
  --fs-h1: 60px;
  --fs-h2: 40px;
  --fs-h3: 30px;
  --fs-h4: 32px;
  --fs-h5: 24px;
  --fs-h6: 18px;
  --fs-p: 25px;
  --fs-p-s: 20px;
  --fs-p-xs: 16px;

  /* Line heights */
  --lh-h1: 1.1em;
  --lh-h2: 1.22em;
  --lh-h3: normal;
  --lh-h4: 1.625em;
  --lh-h5: 1.5em;
  --lh-h6: 1.5em;
  --lh-p: normal;
  --lh-p-s: normal;
  --lh-p-xs: normal;

  /* Font weights */
  --fw-h1: 700;
  --fw-h2: 700;
  --fw-h3: 400;
  --fw-h4: 500;
  --fw-h5: 500;
  --fw-h6: 500;
  --fw-p: 400;
}
@media (min-width: 1281px) and (max-width: 1440px) {
}
@media (min-width: 1025px) and (max-width: 1280px) {
}
@media (min-width: 981px) and (max-width: 1279px) {
  :root {
    --fs-h1: 50px;
    --fs-h2: 38px;
    --fs-h3: 28px;
    --fs-h4: 26px;
    --fs-h5: 18px;
    --fs-h6: 16px;
    --fs-p: 18px;
    --fs-p-s: 14px;
    --fs-p-xs: 12px;
  }
}
@media (min-width: 481px) and (max-width: 980px) {
  :root {
    --fs-h1: 42.5px;
    --fs-h2: 32.3px;
    --fs-h3: 23.8px;
    --fs-h4: 22.1px;
    --fs-h5: 15.3px;
    --fs-h6: 13.6px;
    --fs-p: 16px;
    --fs-p-s: 15px;
    --fs-p-xs: 14px;
  }
}
@media (max-width: 480px) {
  :root {
    --fs-h1: 32.5px;
    --fs-h2: 26.3px;
    --fs-h3: 23.8px;
    --fs-h4: 22.1px;
    --fs-h5: 15.3px;
    --fs-h6: 13.6px;
    --fs-p: 16px;
    --fs-p-s: 15px;
    --fs-p-xs: 14px;
  }
}

body #page-container h1 {
  font-size: var(--fs-h1);
  font-weight: var(--fw-h1);
  line-height: var(--lh-h1);
}
body #page-container h2 {
  font-size: var(--fs-h2);
  font-weight: var(--fw-h2);
  line-height: var(--lh-h2);
}
body #page-container h3 {
  font-size: var(--fs-h3);
  font-weight: var(--fw-h3);
  line-height: var(--lh-h3);
}
body #page-container h4 {
  font-size: var(--fs-h4);
  font-weight: var(--fw-h4);
  line-height: var(--lh-h4);
}
body #page-container h5 {
  font-size: var(--fs-h5);
  font-weight: var(--fw-h5);
  line-height: var(--lh-h5);
}
body #page-container h6 {
  font-size: var(--fs-h6);
  font-weight: var(--fw-h6);
  line-height: var(--lh-h6);
}
body,
ul,
ol,
li,
#page-container p {
  font-size: var(--fs-p);
  font-weight: var(--fw-p);
  line-height: var(--lh-p);
}
h1,
h2,
h3,
h4,
h5,
h6,
body,
ul,
ol,
li,
p,
input,
select,
textarea,
blockquote {
  font-family: var(--ff-main);
  color: var(--clr-white);
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  padding-bottom: 0;
}

#page-container .p-size-s {
  font-size: var(--fs-p-s);
}
#page-container .p-size-xs {
  font-size: var(--fs-p-xs);
}
